Bug 781260 - (leechcraft) Review Request: leechcraft - A Free Open Source Cross-Platform Modular Internet-Client
Review Request: leechcraft - A Free Open Source Cross-Platform Modular Intern...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-01-13 00:38 EST by Minh Ngo
Modified: 2013-03-07 08:16 EST (History)
6 users (show)

See Also:
Fixed In Version: leechcraft-0.5.60-5.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-01 18:58:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Minh Ngo 2012-01-13 00:38:32 EST
Spec URL: https://github.com/Ignotus/leechcraft-fedora/blob/e4493277dfe2fa3a7cc57cd193e92a0e7ab4ccd8/leechcraft.spec
SRPM URL: https://github.com/Ignotus/leechcraft-fedora/blob/e4493277dfe2fa3a7cc57cd193e92a0e7ab4ccd8/leechcraft-0.4.97-1.fc16.src.rpm?raw=true
Description: LeechCraft is a free modular "Internet client" application.

LeechCraft allows to browse the web, read RSS/Atom feeds, download
files via BitTorrent, HTTP, FTP and DC, automatically stream,
download or play podcasts and other media files and much more.

Features can be easily added via plugins that can be integrated with
each other with no effort while staying abstract from the exact
implementation.

This package contains the main LeechCraft executable, which connects
all the plugins with each other, routes requests between them, tracks
dependencies and performs several other housekeeping tasks.


To build it in koji please add qxmpp-dev-0.3.45.1 by "Buildroot Overrides" in bodhi if it's not already in the stable. ( https://bugzilla.redhat.com/show_bug.cgi?id=753262 )

There is the complete scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3645191
Comment 1 Rex Dieter 2012-01-13 08:34:51 EST
Offhand, I see a *lot* of sub-packages for plugins, which greatly adds complexity, for both packager (complicating .spec) and end-user (who's bombarded with an incredible number of choices about which ones to install.  I hope you have good reason do want to do it this way?

Wrt buildroot overrides, you can do it yourself via bodhi,
https://admin.fedoraproject.org/updates/override/
Comment 2 Minh Ngo 2012-01-13 10:29:33 EST
I'm maintained these packages in openSUSE. And they are not very complexity for supporting.

A end-user can read a description of a package and decide to install it.

Every leechcraft package is a separate plugin that adds some functionality to the program. So they should not be in the single package.
Comment 3 Minh Ngo 2012-01-13 10:30:21 EST
s/I'm maintained/I'm maintaining/
Comment 4 Kevin Kofler 2012-01-13 10:45:36 EST
It looks indeed like that application is designed the Emacs way, where almost everything is a plugin…

I think there should be some metapackage dragging in the whole package with all the plugins, like eclipse-platform, netbeans-platform, wine (as opposed to wine-core) etc.
Comment 10 Rex Dieter 2012-02-14 13:45:00 EST
I was about to start review, but will be busy until at least the 20th, so I'll pick it up again then if no one beats me to it.
Comment 12 Rex Dieter 2012-03-06 12:33:05 EST
OK, sorry for the delay.

1.  Naming: mostly ok, but subpkg dependencies SHOULD be fully versioned, for example, instead of:
Requires: %{name}-iconset
use
Requires: %{name}-iconset = %{full_version}

and in -iconset-oxygen subpkg,

Provides: %{name}-iconset = %{full_version}

*unless*, you ever intend to provide alternative iconset's provided elsewhere?  If so, then best leave off the versioning.

2.  macros.  SHOULD remove
%if "%{_lib}" == "lib64"
    -DLIB_SUFFIX=64 \
%endif
snippet, default %{cmake} macro already includes that.  see /etc/rpm/macros.cmake

3.  scriptlets.  MUST
main pkg, iconset-oxygen, iconset-tango are lacking icon-related scriptlets, see
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

4.  qm translation files SHOULD be marked with %lang(locale) tags, but I'm not sure if that's practical here.  if you can figure out a way to do that in an easy way, great.  if not, don't worry about it.

Sources: ok
7daefb3130a475f9260eac069942076e  leechcraft-0.5.0.tar.xz

Licensing: ok
most code is GPLv3+, sprinkled with some LGPLv2+ and GPLv2+, so combined result is indeed GPLv2+


Address items 1-4, and we're looking good.
Comment 13 Kevin Kofler 2012-03-06 12:51:37 EST
As I understand the guidelines, proper handling of translations (point 4) is a MUST, not a SHOULD.

You should just need multiple %find_lang --with-qt --without-mo calls at the end of %install. See how I did this in the Qt package itself:
http://pkgs.fedoraproject.org/gitweb/?p=qt.git;a=blob;f=qt.spec;h=a90b1ce0f1f9fe175f0c9172cedc533351887145;hb=HEAD

You should also be able to use %find_lang for the eiskaltdcpp translations instead of listing every language by hand. (And by the way, those are gettext translations, why aren't they in /usr/share/locale?)
Comment 14 Minh Ngo 2012-03-10 17:32:56 EST
Kevin,
translation files are not in the standard directory, so I can't find their with %find_lang macro.
Comment 15 Minh Ngo 2012-03-10 17:40:16 EST
I don't know why they aren't in /usr/share/locale, but I can fix with something like:
root_dir=`echo ${RPM_BUILD_ROOT} | sed 's,\/,\\\/,g'`
find ${RPM_BUILD_ROOT}%{translations_dir} -name libeiskaltdcpp.mo | sed 's/^.*ions\/\([a-z]*\)\/LC.*/%lang(\1) \0/g;s/'$root_dir'//g' > libeiskaltdcpp.lang
Comment 19 Rex Dieter 2012-03-11 17:12:09 EDT
Well, a minor nit... if you aren't shipping alternative iconsets (ie, tango has been remove), why bother splitting out oxygen-iconset at all?  think about it. :)


Anyway, my other issues have been resolved,  APPROVED.
Comment 20 Minh Ngo 2012-03-11 17:20:00 EDT
New Package SCM Request
=======================
Package Name: leechcraft
Short Description: LeechCraft internet client
Owners: ignotusp
Branches: f15 f16 el6
InitialCC:
Comment 21 Jon Ciesla 2012-03-12 08:07:03 EDT
Git done (by process-git-requests).

Added f17.
Comment 22 Fedora Update System 2012-03-12 14:30:40 EDT
leechcraft-0.5.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/leechcraft-0.5.0-3.fc16
Comment 23 Fedora Update System 2012-03-12 14:31:59 EDT
leechcraft-0.5.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/leechcraft-0.5.0-3.fc15
Comment 24 Fedora Update System 2012-03-14 15:46:11 EDT
leechcraft-0.5.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/leechcraft-0.5.0-4.fc17
Comment 25 Fedora Update System 2012-03-14 22:22:17 EDT
leechcraft-0.5.0-3.fc16 has been pushed to the Fedora 16 testing repository.
Comment 26 Fedora Update System 2012-03-18 03:09:55 EDT
leechcraft-0.5.60-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/leechcraft-0.5.60-1.fc17
Comment 27 Fedora Update System 2012-03-18 04:11:36 EDT
leechcraft-0.5.60-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/leechcraft-0.5.60-2.fc15
Comment 28 Fedora Update System 2012-03-18 04:12:32 EDT
leechcraft-0.5.60-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/leechcraft-0.5.60-2.fc16
Comment 29 Fedora Update System 2012-03-18 04:55:53 EDT
leechcraft-0.5.60-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/leechcraft-0.5.60-3.fc16
Comment 30 Fedora Update System 2012-03-18 04:56:39 EDT
leechcraft-0.5.60-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/leechcraft-0.5.60-3.fc15
Comment 31 Fedora Update System 2012-03-24 03:02:48 EDT
leechcraft-0.5.60-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/leechcraft-0.5.60-5.fc17
Comment 32 Fedora Update System 2012-03-24 12:34:23 EDT
leechcraft-0.5.60-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/leechcraft-0.5.60-5.fc15
Comment 33 Fedora Update System 2012-04-01 18:58:03 EDT
leechcraft-0.5.60-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2012-04-11 22:03:51 EDT
leechcraft-0.5.60-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Minh Ngo 2013-03-07 05:02:20 EST
Please unretired f17 f18 branches
Comment 36 Jon Ciesla 2013-03-07 08:16:00 EST
This requires a re-review.

Note You need to log in before you can comment on or make changes to this bug.